# math_network_convert.R

install.packages('statnet')
install.packages('igraph')
install.packages('sna')
install.packages('latticeExtra')
install.packages('rgl', dependencies=TRUE)


library(rgl)

#open libraries

library(network)
library(sna)
library(igraph)

# how to enter network data in an efficient way? 
# use edgelists
# But: hwo do edgelist deal with isolates?


# set path to data
#setwd("c:/temp/")# mind the "/"

## ex. 1, convert into data frame object, no chronology assumed
## when entering data: insert self-tie for isolates
t <- read.table(file="http://www.barkhof.uni-bremen.de/~mwindzio/test_edge.dat", na.strings="99",  header=FALSE)
t
tt <- graph.data.frame(t) # igraph function, defines edgelist
tt 
tt <- get.adjacency(tt, sparse = FALSE) # CAUTION: isolates do not exist!!
tt

## ex. 2 create chronology by using the get.adjacency function
t <- read.table(file="http://www.barkhof.uni-bremen.de/~mwindzio/test_edge.dat", na.strings="99",  header=FALSE)
tt <- get.adjacency(graph.edgelist(as.matrix(t)), sparse = FALSE)
tt

# ex. 3 enter all isolates with self-relations. Than replace the main diagonal with zeros 
diag(tt) <- 0 # hier werden alle Diagonalelemente mit null ueberschrieben
tt  


